"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var errors_1 = require("../errors");
var internal_error_1 = require("../errors/internal-error");
exports.errorHandlingMiddleware = function (err, req, res, next) {
    var customErrors = [
        errors_1.BadRequestError,
        errors_1.ForbiddenError,
        errors_1.NotFoundError,
        errors_1.UnauthorizedError,
        errors_1.ValidationError,
    ];
    if (customErrors.some(function (customError) { return err instanceof customError; })) {
        res.status(err.code).send(err.output());
        return;
    }
    var internalError = new internal_error_1.InternalError(err);
    res.status(internalError.code).send(internalError.output());
};
